/**
 * @desc 获取用户权限
 */

import * as defs from '../../baseClass'
import { defHttp } from '/@/utils/http/axios'

export class Params {}

export const init = new defs.ResultArrayListString()

export function request(params?: Params, config?: http.RequestConfig<Params>, options?: http.RequestOptions) {
    return defHttp.request(
        {
            url: '/user/getPermCode',
            method: 'GET',
            params,

            ...config,
        },
        options,
    )
}
